import { HtmlTextParser } from './../ctrls/HtmlTextParser';
import Panel from "../views/Panel";
import { NetManager } from "../../libs/tw/manager/NetManager";
import { DataManager } from "../../libs/tw/manager/DataManager";
export default class RulePanel extends Panel {
    public ruleGroup:eui.Group;
    public ruleLb:eui.Label;

    public get skinKey() { return 'RulePanel' }
    // public get groupName() { return 'rule_panel' }

    constructor(data: any) {
        super(data);
    }

    onSkinComplete(): void {
        super.onSkinComplete();

        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
        this.showAct();
    }

    start(): void {
        this.percentHeight = 100;
    }

    initEvents(): void {
        super.initEvents();
    }

    removeEvents(): void {
        super.removeEvents();
    }

    private onLoad():void{
        // NetManager.ins.getRule(function(success){

        //     if(success){
        //         //使用 HtmlTextParser 解析html文本
        //         this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.getRuleData.ruleText);
        //     }else{
        //         this.ruleLb.text = '规则'
        //     }
        // }.bind(this));

        // this.ruleLb.textColor = 0x2c2a29;
        // this.ruleLb.stroke = 0;
        // this.ruleLb.textFlow = new HtmlTextParser().parse(DataManager.ins.ajaxElementDataNew.rule);
        this.ruleLb.text = window['rule'] ? window['rule'] : `1.签到周期为7天一个周期，每月底客户获得的稻穗数量不清零；
2.每日点击签到可以获得一定数值稻穗，签到后分享活动可再获得15个稻穗；
（1）签到获得稻穗规则
签到第一天获得10稻穗；
连续签到第二天获得50稻穗；
连续签到第三天获得10稻穗；
连续签到第四天获得80稻穗；
连续签到第五天获得20稻穗；
连续签到第六天获得20稻穗；
连续签到第七天获得130稻穗；
（2）稻穗兑换礼品规则
A.100稻穗，优酷vip全场68折、十点读书31天听书体验、美团外卖红包、美团骑行3.8折券、拼多多20元无门槛券;
B.500稻穗，猫头鹰形象照;
C.1000稻穗，keep健身卡;
D.1500稻穗，苹果耳机；
3.兑换说明：签到累计一定稻穗后，可兑换相应的奖品，当月每个奖品仅可兑换一次；活动周期内，奖品每周一上午9：30-10:30更新库存，奖品库存有限，兑完即止，先到先得；
4.领奖说明：奖品兑换成功的用户请根据兑换页面提示录入对应兑奖信息，实物奖品需在24小时内点击奖品详情页“立即领取”按钮领取，24小时内未领取，奖品将过期，视为主动放弃领奖资格，获得实物奖品的用户需要提供姓名、手机号、身份证信息做身份验证。虚拟票券类奖品需在活动截止日期前领取，活动时间内未领取，奖品将过期，视为主动放弃领奖资格。具体兑换信息以奖品详情页为准，实物商品将在客户领取成功后15个工作日内发出；
5.活动奖品由第三方公司提供，如有疑问，可直接联系客服专线：400-609-0828（服务时间7*12小时，9:00至18:00）。
6.用户如果违反诚实守信原则或出现违规行为（包括但不限于侵犯第三人合法权益、作弊、扰乱系统、实施网络攻击、恶意套取、批量注册、用机器注册账户、用机器模拟客户端等方式），一经发现，我行有权终止该用户参与活动并取消其领奖资格；
7.活动中如有突发事件，光大银行将调整活动时间和奖品设置，并及时以最新活动规则形式告知用户；
8.本活动与苹果公司无关。`;
    }

    
}